> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get documentv1beta1activities

> Lists document activities.



## OpenAPI

````yaml /openapis/documentId.json get /document/v1beta1/activities
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: documentId
    description: >-
      Lets you read and update document properties, create new documents, delete
      documents, manage document versions, ...  (beta version, subject to
      change)
paths:
  /document/v1beta1/activities:
    get:
      tags:
        - documentId
      description: Lists document activities.
      operationId: documentId:v1beta1.DocumentActivities.list
      parameters:
        - $ref: '#/components/parameters/libraryId_query_parameter'
        - name: documentId
          in: query
          description: The ID of the document
          required: false
          schema:
            type: string
        - name: removeSimilarDocumentUpdates
          in: query
          description: >-
            Whether the document update activities should be removed if made by
            the same user on the same document version within the same hour.
            (Default: false)
          required: false
          schema:
            type: boolean
            default: false
        - name: limit
          in: query
          description: The maximum number of items to return
          required: false
          schema:
            type: integer
            format: int32
            default: 10
        - $ref: '#/components/parameters/nextPageToken_query_parameter'
        - $ref: '#/components/parameters/pageToken_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiDocumentActivities response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDocumentActivities'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libraryId_query_parameter:
      name: libraryId
      in: query
      description: The ID of the library
      required: true
      schema:
        type: string
    nextPageToken_query_parameter:
      name: nextPageToken
      in: query
      description: DEPRECATED. Use pageToken instead.
      required: false
      schema:
        type: string
    pageToken_query_parameter:
      name: pageToken
      in: query
      description: >-
        The token for continuing a previous list request on the next page. This
        should be set to the value of 'nextPageToken' from the previous
        response.
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiDocumentActivities:
      type: object
      properties:
        activities:
          type: array
          items:
            $ref: '#/components/schemas/ApiDocumentActivity'
        kind:
          type: string
        nextPageToken:
          type: string
    ApiDocumentActivity:
      type: object
      properties:
        attachmentId:
          type: string
          description: The id of the attachment
        attachmentName:
          type: string
          description: The name of the attachment
        author:
          $ref: '#/components/schemas/ApiBaseUserProfile'
        comment:
          type: string
          description: The document comment
        deleteReason:
          type: string
          description: The delete reason
        deleted:
          type: boolean
          description: Whether the document has been deleted
        deletionDate:
          type: string
          format: date-time
          description: The deletion date
        documentId:
          type: string
          description: The ID of the document
        documentTitle:
          type: string
          description: The title of the document
        id:
          type: string
          description: The ID of the document activity
        kind:
          type: string
        newVersion:
          $ref: '#/components/schemas/ApiDocumentActivityVersion'
        rename:
          $ref: '#/components/schemas/ApiDocumentActivityRename'
        restoredVersion:
          $ref: '#/components/schemas/ApiDocumentActivityVersion'
        stateChange:
          $ref: '#/components/schemas/ApiDocumentActivityStateChange'
        timestamp:
          type: string
          format: date-time
          description: The timestamp of the document activity
        type:
          type: string
          description: The type of the document activity
          enum:
            - DOCUMENT_CREATED
            - DOCUMENT_UPDATED
            - DOCUMENT_PERMISSION_UPDATED
            - DOCUMENT_STATE_CHANGED
            - DOCUMENT_MOVED_TO_TRASH
            - DOCUMENT_RESTORED
            - CHECK_OUT_DOCUMENT
            - CHECK_IN_DOCUMENT
            - DISCARD_DOCUMENT_CHECK_OUT
            - CREATE_VERSION
            - RESTORE_VERSION
            - ATTACHMENT_RENAMED
            - ATTACHMENT_EDITED
            - ATTACHMENT_LABEL_UPDATED
            - ATTACHMENT_LABEL_FAILURE
            - DOCUMENT_MOVED
            - DOCUMENT_VALIDATED
            - DRIVE_ATTACHMENT_MALWARE_DETECTED
            - EXTENSION_CREATED
            - EXTENSION_EDITED
            - EXTENSION_DELETED
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
    ApiDocumentActivityVersion:
      type: object
      properties:
        createdByCheckin:
          type: boolean
          description: >-
            Whether the new version was created by a checkin (for create version
            only)
        description:
          type: string
          description: The version description
        id:
          type: string
          description: The version id (for revert version only)
        name:
          type: string
          description: The version name
    ApiDocumentActivityRename:
      type: object
      properties:
        newName:
          type: string
        oldName:
          type: string
    ApiDocumentActivityStateChange:
      type: object
      properties:
        comment:
          type: string
          description: The change state comment
        sourceState:
          $ref: '#/components/schemas/ApiIdNameI18n'
        targetState:
          $ref: '#/components/schemas/ApiIdNameI18n'
        transition:
          $ref: '#/components/schemas/ApiDocumentActivityTransition'
        trigger:
          type: string
          description: >-
            The state change trigger. Possible values: SIMPLE_VALIDATION,
            PARALLEL_VALIDATION, TIME_TRIGGER, DATA_TRIGGER, DIRECT_CHANGE
          enum:
            - SIMPLE_VALIDATION
            - PARALLEL_VALIDATION
            - TIME_TRIGGER
            - DATA_TRIGGER
            - DIRECT_CHANGE
    ApiIdNameI18n:
      type: object
      properties:
        id:
          type: string
          description: The id
        name:
          type: string
          description: The name
        name_i18n:
          type: string
          description: The internationalized name
    ApiDocumentActivityTransition:
      type: object
      properties:
        forcedParallelTransition:
          type: boolean
          description: Whether this parallel transition has been forced
        humanAction:
          $ref: '#/components/schemas/ApiDocumentActivityHumanAction'
        id:
          type: string
          description: The ID of the transition
    ApiDocumentActivityHumanAction:
      type: object
      properties:
        appliedName:
          type: string
          description: The applied action name
        appliedName_i18:
          type: string
          description: The localized applied action name
        id:
          type: string
          description: The ID of the human action
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````